Update on lxr.CCN.HTTP and CCN Gateways 8.0

To all lxr.CCN users: it has come to our attention that the latest version (8.0) of the CCN software (running on the CCN Gateways) has an adverse impact on the lxr.CCN connector functioning. The problem is that CCN 8.0 involves an Apache upgrade to version 2, which has the effect that lxr.CCN.HTTP is not able to connect to a CCN Gateway where CCN 8.0 has been deployed.

As a workaround to this problem, it appears that adding the parameter -DUseSunHttpHandler=true in the JAVA_OPTIONS in your setDomainEnv.sh/setDomainEnv.cmd and restarting your Weblogic domain is usually all it takes to solve the issue.

However, this parameter can, in some cases, create issues for other applications sharing the same domain as lxr.CCN.

Now that ITSM has confirmed that all backup CCN Gateways have been upgraded to CCN 8.0, our recommendation is therefore that your Local CCN Administrator validates that all applications making use of the lxr.CCN.HTTP module are working fine using the workaround above.
 
If the workaround does not work for you or is creating adverse effects for other applications, then we can patch lxr.CCN to emulate the usage of the right Java option internally. In this case, please send an email to the Vivansa Support by indicating the version of lxr.CCN that you are using, as well as the java version installed on your server and we’ll provide you with the appropriate patch.
 
Vivansa Support
 

Related posts

You must be logged in to post a comment.
Menu
Skip to toolbar